// Example creating custom characters 0-7 on a HD44700 compatible LCD
// using 2-wire connection to LCD

#include <ShiftRegLCD.h>

ShiftRegLCD srlcd(12, 13, TWO_WIRE);

void setup()
{
  uint8_t bell[8]  = {0x4,0xe,0xe,0xe,0x1f,0x0,0x4};
  uint8_t note[8]  = {0x2,0x3,0x2,0xe,0x1e,0xc,0x0};
  uint8_t clock[8] = {0x0,0xe,0x15,0x17,0x11,0xe,0x0};
  uint8_t heart[8] = {0x0,0xa,0x1f,0x1f,0xe,0x4,0x0};
  uint8_t duck[8]  = {0x0,0xc,0x1d,0xf,0xf,0x6,0x0};
  uint8_t check[8] = {0x0,0x1,0x3,0x16,0x1c,0x8,0x0};
  uint8_t cross[8] = {0x0,0x1b,0xe,0x4,0xe,0x1b,0x0};
  uint8_t retarrow[8] = {0x1,0x1,0x5,0x9,0x1f,0x8,0x4};
  
  srlcd.createChar(0, bell);
  srlcd.createChar(1, note);
  srlcd.createChar(2, clock);
  srlcd.createChar(3, heart);
  srlcd.createChar(4, duck);
  srlcd.createChar(5, check);
  srlcd.createChar(6, cross);
  srlcd.createChar(7, retarrow);

  for (uint8_t i=8;i>0;i--) srlcd.write(i);

  srlcd.print(" CUSTOM CHARACTERS");  
}

void loop()
{
}
